<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/gettingStartedLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/rsb_white_60">

    <ImageView
        android:id="@+id/bubble1"
        android:layout_width="@dimen/bubbleSize"
        android:layout_height="@dimen/bubbleSize"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="52dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:contentDescription="@string/bubbleDescription"
        app:layout_constraintBottom_toTopOf="@+id/bubble2"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/applicationNameLong"
        app:srcCompat="@drawable/circle" />

    <ImageView
        android:id="@+id/bubble2"
        android:layout_width="@dimen/bubbleSize"
        android:layout_height="@dimen/bubbleSize"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="28dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:contentDescription="@string/bubbleDescription"
        app:layout_constraintBottom_toTopOf="@+id/bubble3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/bubble1"
        app:srcCompat="@drawable/circle" />

    <ImageView
        android:id="@+id/bubble3"
        android:layout_width="@dimen/bubbleSize"
        android:layout_height="@dimen/bubbleSize"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="28dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:contentDescription="@string/bubbleDescription"
        app:layout_constraintBottom_toTopOf="@id/buttonCreateAccount"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/bubble2"
        app:srcCompat="@drawable/circle" />

    <TextView
        android:id="@+id/ApplicationName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="128dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:fontFamily="@font/cabin"
        android:text="@string/appName"
        android:textAlignment="center"
        android:textColor="@color/colorPrimary"
        android:textSize="80sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/applicationNameLong"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:fontFamily="@font/cabin"
        android:text="@string/appNameLong"
        android:textAlignment="center"
        android:textSize="18sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ApplicationName" />

    <Button
        android:id="@+id/buttonCreateAccount"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="52dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:background="@drawable/button_background"
        android:fontFamily="sans-serif-black"
        android:paddingHorizontal="@dimen/buttonHorizontalPadding"
        android:paddingVertical="@dimen/buttonVerticalPadding"
        android:text="@string/createAccountButtonText"
        android:textColor="@android:color/white"
        android:textSize="@dimen/buttonTextSize"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_max="@dimen/buttonMaxHeight"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/bubble3" />

    <Button
        android:id="@+id/buttonRecoverAccount"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/horizontalMargin"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="@dimen/horizontalMargin"
        android:background="@drawable/button_background"
        android:fontFamily="sans-serif-black"
        android:paddingHorizontal="@dimen/buttonHorizontalPadding"
        android:paddingVertical="@dimen/buttonVerticalPadding"
        android:text="@string/recoverAccountButtonText"
        android:textColor="@android:color/white"
        android:textSize="@dimen/buttonTextSize"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_max="@dimen/buttonMaxHeight"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/buttonCreateAccount" />

</androidx.constraintlayout.widget.ConstraintLayout>